"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SitecoreJssPlaceholderPlugin = void 0;
const providePlaceholders_1 = require("../enhancers/providePlaceholders");
/**
 * Vue plugins must export a function named 'install'
 *
 * @param {App} app
 * @param {SitecoreJssPlaceholderPluginOptions} options
 */
function install(app, options) {
    // eslint-disable-next-line no-param-reassign
    app.config.globalProperties.$jss = Object.assign(Object.assign({}, app.config.globalProperties.$jss), { componentFactory: options && options.componentFactory });
    app.mixin({
        beforeCreate() {
            (0, providePlaceholders_1.providePlaceholders)(this, options && options.componentFactory);
        },
    });
}
exports.SitecoreJssPlaceholderPlugin = {
    install,
};
